PETSc version 3.17.4
Fix/Edit manual page

# DMSNESCreateJacobianMF

Create a Mat which computes the action of the Jacobian matrix-free

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMSNESCreateJacobianMF(DM dm, Vec X, void *user, Mat *J)

Collective on dm

### Input Parameters

| dm | - The DM
| X | - The evaluation point for the Jacobian
| user | - A user context, or NULL

### Output Parameter

| J | - The Mat

### Notes

Vec X is kept in Mat J, so updating X then updates the evaluation point.

### See Also

DMSNESComputeJacobianAction()

### Level

advanced

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages